Selection API: Difference between revisions

From FreeCAD Documentation
((October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the https://www.freecadweb.org/api autogenerated API documentation, or generate the documentation yourself, see Source documentation)
No edit summary
Line 20: Line 20:
{{APIFunction|isSelected|FreeCAD.Object|Checks if a given object is selected| }}
{{APIFunction|isSelected|FreeCAD.Object|Checks if a given object is selected| }}
{{APIFunction|removeSelection|FreeCAD.Object|Removes an object from the selection| }}
{{APIFunction|removeSelection|FreeCAD.Object|Removes an object from the selection| }}

<!--T:3-->
[[Category:API]]


</translate>
</translate>
[[Category:API{{#translation:}}]]
{{Userdocnavi{{#translation:}}}}

{{clear}}
{{clear}}

Revision as of 20:42, 27 February 2020

Other languages:
(October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the autogenerated API documentation, or generate the documentation yourself, see Source documentation.

The selection submodule is part of the FreeCADGui module. Example:

import FreeCADGui
sel = FreeCADGui.Selection.getSelection()
addSelection(FreeCAD.Object)

Description: Adds an object to the selection

Returns:

clearSelection([string])

Description: Clears the selection of the given document name. If no document is given the complete selection is cleared.

Returns:

getSelection([string])

Description: Returns a list of selected document objects for a given document name. If no document is given the complete selection is returned.

Returns: a list of document objects in the order they were selected.

getSelectionEx([string])

Description: Returns a list of SelectionObject for a given document name. If no document is given the complete selection is returned. Used for selecting subobjects (ex some Edges of a Face).

Returns: a list of SelectionObjects in the order they were selected

isSelected(FreeCAD.Object)

Description: Checks if a given object is selected

Returns:

removeSelection(FreeCAD.Object)

Description: Removes an object from the selection

Returns: